gdcm::Validate Class Reference

Validate class. More...

`#include <gdcmValidate.h>`

Collaboration diagram for gdcm::Validate:
[legend]

## Public Member Functions

| Validate ()
| ~Validate ()
const File & | GetValidatedFile ()
void | SetFile (File const &f)
void | Validation ()

## Protected Attributes

const File * | F
File | V

## Detailed Description

Validate class.

## Constructor & Destructor Documentation

## Validate()

gdcm::Validate::Validate | ( |  | ) |

## ~Validate()

gdcm::Validate::~Validate | ( |  | ) |

## Member Function Documentation

## GetValidatedFile()

const File & gdcm::Validate::GetValidatedFile | ( |  | ) |

inline

References V.

## SetFile()

void gdcm::Validate::SetFile | ( | File const & | f | ) |

inline

References F.

## Validation()

void gdcm::Validate::Validation | ( |  | ) |

## Member Data Documentation

## F

const File* gdcm::Validate::F

protected

Referenced by SetFile().

## V

File gdcm::Validate::V

protected

Referenced by GetValidatedFile().

The documentation for this class was generated from the following file:

- gdcmValidate.h